Bug 805775 - confusing error: failed to upload glossary due to wrong an API key
confusing error: failed to upload glossary due to wrong an API key
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
unspecified Severity high
: ---
: 1.6-beta-1
Assigned To: Carlos Munoz
Joyce Chang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 01:21 EDT by Joyce Chang
Modified: 2013-03-03 22:19 EST (History)
4 users (show)

See Also:
Fixed In Version: maven client 1.6.0-alpha-3-SNAPSHOT
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joyce Chang 2012-03-22 01:21:03 EDT
Description of problem:
when pushing glossary to Zanata with an wrong API key,it will result in build failure. The return error should specify a statement to help users by clarifying error such as  "unable to authenticate users,maybe API key is wrong".   

How reproducible:
always

Steps to Reproduce:
1.go to the folder where the glossary file(.po) is located.
2.open terminal 
3.issue command $mvn zanata:glossary-push
4.BUILD FAILURE is shown on the screen
  
Actual results:

error as below:

Failed to execute goal org.zanata:zanata-maven-plugin:1.6-SNAPSHOT:glossary-push (default-cli) on project null: Zanata mojo exception: Could not find JAXBContextFinder for media type: text/html;charset="ISO-8859-1" -> 


Expected results:

error as below:

unable to authenticate users,maybe API key is wrong
Comment 1 Carlos Munoz 2012-05-09 19:12:49 EDT
The error is specifically happening when checking the Zanata server version from the Java clients. Added a check for this specific error and a more understandable error message.

See:
https://github.com/zanata/zanata-client/commit/6ab3657bfe84711d7a84f065b017be570709f26b
Comment 2 Joyce Chang 2012-05-09 23:59:58 EDT
verified with maven client 1.6.0-alpha-3-SNAPSHOT

Note You need to log in before you can comment on or make changes to this bug.